# Get a materialized feature

Launch stage: Public Preview

`GET /api/2.0/feature-engineering/materialized-features/{materialized_feature_id}`

Get a materialized feature.

API scopes: mlflow

## Path parameters

- `materialized_feature_id` (string, required)
  The ID of the materialized feature.

## Returns

Returns the MaterializedFeature object.

## Response

```json
{
  "materialized_feature_id": "string",
  "feature_name": "string",
  "online_store_config": {
    "online_store_name": "string"
  },
  "table_name": "string",
  "last_materialization_time": "string",
  "is_online": true,
  "cron_schedule_trigger": {
    "cron_expression": "string"
  },
  "table_trigger": {},
  "streaming_mode": {
    "mode": "STREAMING_MODE_TYPE_RTM"
  }
}
```

